import request from '@/utils/request'


// export default {

//     // 分页条件查询分类列表 
//     getList(query, pageNo = 1, pageSize = 20) {
//         return request({ // Promise
//             // url: 'clz/v1/get_content',
//             // method: 'get',
//             url: '/electronic_patrol/getElectronicPatrolList',
//             method: 'post',
//             data: {
//                 ...query, //查询条件
//                 pageNo, //当前页
//                 pageSize //每页多少条
//             }
//         })
//     },

//     //新增
//     add(data) {
//         return request({
//             url: '/electronic_patrol/appendElectronicPatrol',
//             method: 'post',
//             data: data
//         })
//     },

//     // 更新
//     update(data) {
//         return request({
//             url: '/electronic_patrol/updateElectronicPatrol',
//             method: 'post',
//             data: data
//         })
//     },


// }

export function getList(query, pageNo = 1, pageSize = 20) {
    return request({
        // url: 'clz/v1/get_content',
        // method: 'get',
        url: '/electronic_patrol/getElectronicPatrolList',
        method: 'post',

        data: {

            ...query, //查询条件
            pageNo, //当前页
            pageSize //每页多少条
        }
    })
}
export function add(data) {
    return request({
        url: '/electronic_patrol/appendElectronicPatrol',
        method: 'post',
        data: data
    })
}


export function update(data) {
    return request({
        url: '/electronic_patrol/updateElectronicPatrol',
        method: 'post',
        data: data
    })
}


export function deleteById(id) {

    return request({
        url: `/electronic_patrol/deleteElectronicPatrol`,
        method: 'post',
        data: {
            id
        }

    })
}